Previous Versions

If your key starts with I- or a F-, it means you are using the previous licensing system and store. If you still want to use this license, you will need to use those versions of the plugins. It is recommended to upgrade to the new store and the Pro versions will be updated from there automatically.

I recommend you to use WPEngine or SiteGround. They are both excellent hosting services and work perfectly with all my plugins.